/****************************************************************************
 * (c) 2018 softwareentwicklung-als-prozess.de
 * Funktionalitaet:
 * Helligkeit mit einem LDR messen und als bitwert und Beleuchtungsstärke 
 * in Lux auf einem 2 Zeilen LCD ausgeben.
 ***************************************************************************/
// Includes -----------------------------------------------------------------
#include "i2clcd.h"
#include "ntc.h"

void setup()
{
  Serial.begin(9600);
  Serial.println("NTC und Display");
  i2clcd_Setup();
  ntc_Setup();
}

void loop()
{
  signed int  bitval = (signed int)0;
  char text[17] = {EMPTY,EMPTY,EMPTY,EMPTY,EMPTY,EMPTY,EMPTY,EMPTY,EMPTY,EMPTY,EMPTY,EMPTY,EMPTY,EMPTY,EMPTY,EMPTY,ENDE};
  char grad[2] = {(char)223,(char)0}; // Gradzeichen nach Datenblatt LCD 44780
  double temp = 0.0;

  bitval = ntc_Read();
  sprintf(text,"bits = %06i",bitval); // umwandeln in ASCII
  i2clcd_Write(I2CLCD_LINE1,text);
  ntc_BeginCalc();
  temp = ntc_CalcTemp(bitval);
  ntc_EndCalc();
  Serial.print(temp,DEC);
  Serial.print(grad);
  Serial.println(" C");
  sprintf(text, "   T = %0.1f%sC", temp, grad);  
  i2clcd_Write(I2CLCD_LINE2,text);
  delay(1000);
}
